Storyden
Profiles

Profile List

Query and search profiles.

GET
/profiles

Query and search profiles.

Authorization

cookiestoryden-session<token>

Query Parameters

q?string

Search query string.

Length0 <= length
page?string

Pagination query parameters.

sort?string

Profiles sort by query

roles?array<>

Profiles role filter query

joined?string

Profiles join range query

Formatiso8601-interval
invited_by?array<>

Profiles invited by query (account handles)

Response Body

OK

application/json
  1. response

To be composed with paginated resource responses.

page_size*integer
results*integer
total_pages*integer
current_page*integer
next_page?integer
profiles*array<>
Example Request
curl -X GET 'https://example.com/api/profiles'
Example Response
{  "page_size": 0,  "results": 0,  "total_pages": 0,  "current_page": 0,  "next_page": 0,  "profiles": [    {      "id": "string",      "updatedAt": "2019-08-24T14:15:22Z",      "deletedAt": "2019-08-24T14:15:22Z",      "misc": {},      "createdAt": "string",      "joined": "2019-08-24T14:15:22Z",      "suspended": "2019-08-24T14:15:22Z",      "handle": "string",      "name": "string",      "roles": [        {          "id": "string",          "createdAt": "2019-08-24T14:15:22Z",          "updatedAt": "2019-08-24T14:15:22Z",          "deletedAt": "2019-08-24T14:15:22Z",          "misc": {},          "name": "string",          "colour": "string",          "permissions": [            "CREATE_POST"          ],          "meta": {},          "badge": true,          "default": true        }      ],      "bio": "string",      "signature": "string",      "image": "string",      "followers": 0,      "following": 0,      "like_score": 0,      "interests": [        {          "name": "string",          "colour": "string",          "item_count": 0        }      ],      "links": [        {          "text": "string",          "url": "string"        }      ],      "invited_by": {        "id": "string",        "joined": "2019-08-24T14:15:22Z",        "suspended": "2019-08-24T14:15:22Z",        "handle": "string",        "name": "string",        "signature": "string",        "roles": [          {            "badge": true,            "default": true,            "id": "string",            "name": "string",            "colour": "string",            "meta": {}          }        ]      },      "meta": {}    }  ]}